Error -229771: Internal Software Error Occurred in MIG Software

Updated Jun 21, 2019

Reported In

Hardware

  • USB-6008
  • USB-6000
  • USB-6251
  • USB-6211
  • cDAQ-9135
  • PCI-6281
  • PXIe-6341
  • PCI-6251

Software

  • LabVIEW
  • Measurement & Automation Explorer (MAX)

Driver

  • NI-DAQmx

Issue Details

I have correctly configured a DAQmx task, but I somehow get the following error:

Error -229771: Internal Software Error occurred in MIG software. Please contact National Instruments Support.

 

This error persists if I try to run any kind of DAQmx task. I might be able to run test panels in NI Measurement & Automation Explorer (NI MAX). I also might see the error when I try to interact with my hardware in NI MAX. I have tried using a DAQmx shipping example in LabVIEW, but get the same result. 

Solution

  1. Reset the MAX database. This error can be caused by the Measurement & Automation Explorer (MAX) database becoming corrupt.
  2. Navigate to Start»Run and type msconfig to open Services. Ensure that NI Configuration Manager and NI Device Loader are running and are configured to start automatically.
  3. There could be a conflict between DAQmx and another software package on your computer. The most common instance of this is with antivirus packages, such as McAfee or NOD32. Try disabling such software and see if the error persists.
  4. Saving the VI, project, or application containing this DAQmx Start Task.vi on a secured network drive may cause this error. Try moving the VI, project, or application onto a local drive and see if the error persists.
  5. There could be an issue with DAQmx install
    • Ensure that you installed DAQmx from an administrator account.
    • Make sure that DAQmx was installed after LabVIEW
  6. Force reinstall the DAQmx driver using the instructions in the following article: Fix Corrupt or Non-Working NI Software with Force Reinstall.
  7. Install a more recent version of DAQmx . Before doing so, please consider the compatibility between DAQmx and LabVIEW and between DAQmx and Windows .
  8. If you are using DAQmx 15.1 or before, please update to DAQmx 15.5.

WAS THIS ARTICLE HELPFUL?

Not Helpful